Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlQName

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  JavaNotationHolder, JavaNotationHolderEx, XmlNotationImpl, XmlNotationRestriction, XmlQNameImpl, XmlQNameRestriction

    public interface XmlQName

extends XmlAnySimpleType

Corresponds to the XML Schema xs:QName type.

A QName is the logical combination of an XML namespace URI and a localName. Although in an XML instance document, a QName appears as "prefix:localName", the logical value of a QName does NOT contain any information about the prefix, only the namespace URI to which the prefix maps. For example, two QNames "a:hello" and "b:hello" are perfectly equivalent if "a:" in the first instance maps to the same URI as "b:" in the second instance.

Convertible to `QName`.

Nested Class Summary
`static class` | `XmlQName.Factory` A class with methods for creating instances of `XmlQName`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`javax.xml.namespace.QName` | `getQNameValue()` Returns this value as a `QName`
`javax.xml.namespace.QName` | `qNameValue()` Deprecated. replaced with `getQNameValue()`
`void` | `set(javax.xml.namespace.QName name)` Deprecated. replaced with `setQNameValue(javax.xml.namespace.QName)`
`void` | `setQNameValue(javax.xml.namespace.QName name)` Sets this value as a `QName`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getQNameValue

    javax.xml.namespace.QName getQNameValue()

  Returns this value as a `QName`

### setQNameValue

    void setQNameValue(javax.xml.namespace.QName name)

  Sets this value as a `QName`

### qNameValue

    javax.xml.namespace.QName qNameValue()

  Deprecated. replaced with `getQNameValue()`

  Returns this value as a `QName`

### set

    void set(javax.xml.namespace.QName name)

  Deprecated. replaced with `setQNameValue(javax.xml.namespace.QName)`

  Sets this value as a `QName`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD